=begin
Copyright 2021, Majid Mahmoudi
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Majid Mahmoudi
Organization - Distributed on the Extension Warehouse
Name - MAJ Window
SU Version - 21.0.339

Description
This plugin will cut walls and make windows in the walls created by Maj Wall Maker.

Usage
Cut 3 layers of walls made by "Maj Group Wall Maker" and make a window with 4 clicks. First
this extension will ask you about window height distance from the bottom of the wall and the type of window.
In the first click "Finishing" and "Interior" layers will hide. You can quit this
click by clicking on "Wall" directly. In the second click, the wall will be transparent.
In this way, you can see 2D drawing under the wall if exist. In the third click, you select
the start point of the door/ window cut. In a fourth click, you will select the length of
the door/ window cut, and the cut will make in 3 layers and make a window on it. Also after the third click, you can
type length and press enter.

History
0.0.1:: 2021-03-14
   * Original release.  I'm expecting some bugs and feedback.
1.0.5:: 2021-05-23
   * Pick point improved.
   * Status Bar always help users.
   * Problem solved in MAC OS.
=end


module MajidMahmoudi

  module MajWindow            #EDIT
    require 'sketchup.rb'
    require 'extensions.rb'
    NAME = "MAJ_Window"        #EDIT
    UNAME = "MAJ Window"       #EDIT
    MENU_NAME = "MAJ Window"       #EDIT
    version = "1.0.5"           #EDIT
    desc = "This plugin will cut the wall and make a window on it."
    copy_year = "2021"
    author = "Majid Mahmoudi"

#------edit above---------------------------------------------------------------


    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_Data"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year

    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )

  end
end
